Subject: [team5] Record "Save and New": Focus on input field
Description

Currently, if you add a new record by clicking the "Save and New" button in a new or existing record, no text field gets focus.

I see two options to improve:
- just focus the first input field
- focus some input field that is specified by TCA

I'd be pretty fine with the first way, that would improve usability when saving many many small records.

History
#1 - 2009-11-17 17:50 - Ben van 't Ende
- Subject changed from Record "Save and New": Focus on input field to [team5] Record "Save and New": Focus on input field
- Status changed from New to Accepted
- Assigned To set to Benjamin Mack
- Target version changed from TYPO3 4.4 to TYPO3 4.3

I hope I am right in thinking that it is easy to fix ;-) I changed target version to 4.3 if you don't mind.

#2 - 2009-11-17 22:24 - Tim Lochmüller

commit to team5 trunk.
on line of code...

Ext.select(".typo3-TCEforms input:first").focus();

#3 - 2012-02-29 21:15 - Jens Hoffmann
- Status changed from Accepted to Closed
- Assigned To deleted (Benjamin Mack)

Done.
